Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class KeyedReference

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.KeyedReference

public class KeyedReference
extends java.lang.Object

The keyedReference structure holds a namespace qualified name-value pair.It is stored in the category and identifier bag.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`KeyedReference()` Class constructor.
`KeyedReference(java.lang.String tModelKey, java.lang.String keyName, java.lang.String keyValue)` Class construstor specifying the initialization value.

Method Summary
`java.lang.String` | `getKeyName()` Gets the value of the key name.
`java.lang.String` | `getKeyValue()` Gets the key value.
`java.lang.String` | `getTModelKey()` Gets the value of the tmodel key.
`void` | `setKeyName(java.lang.String val)` Sets the value of the key name.
`void` | `setKeyValue(java.lang.String val)` Sets the key value.
`void` | `setTModelKey(java.lang.String val)` Sets the value of the tmodel key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyedReference

    public KeyedReference()

  Class constructor.

### KeyedReference

    public KeyedReference(java.lang.String tModelKey,
                          java.lang.String keyName,
                          java.lang.String keyValue)

  Class construstor specifying the initialization value.

  Parameters:
    `tModelKey` - tModel key of the keyed reference.
    `keyName` - key name of the keyed reference.
    `keyValue` - key value of the keyed reference.

Method Detail

### setTModelKey

    public void setTModelKey(java.lang.String val)

  Sets the value of the tmodel key.

  Parameters:
    `val` - the new value of the tmodel key.

### setKeyName

    public void setKeyName(java.lang.String val)

  Sets the value of the key name.

  Parameters:
    `val` - the new value of the key name.

### setKeyValue

    public void setKeyValue(java.lang.String val)

  Sets the key value.

  Parameters:
    `val` - the new key value.

### getTModelKey

    public java.lang.String getTModelKey()

  Gets the value of the tmodel key.

  Returns:
    the current value of the tmodel key.

### getKeyName

    public java.lang.String getKeyName()

  Gets the value of the key name.

  Returns:
    the current value of the key name.

### getKeyValue

    public java.lang.String getKeyValue()

  Gets the key value.

  Returns:
    the current key value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference